Public API - LinkedIn Ads
Top engaged ICP companies
ICP-matched companies with the highest recent ad engagement.
GET
/
public
/
v1
/
ads
/
company-engagement
/
top-icp
Top engaged ICP companies
curl --request GET \
--url https://app.stairoids.com/api/public/v1/ads/company-engagement/top-icp \
--header 'X-Api-Key: <api-key>'import requests
url = "https://app.stairoids.com/api/public/v1/ads/company-engagement/top-icp"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://app.stairoids.com/api/public/v1/ads/company-engagement/top-icp', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"company": {
"companyId": 4521,
"name": "Acme Corp",
"domain": "acme.com",
"industry": "Software",
"country": "Netherlands",
"city": "Amsterdam",
"employeeCount": 250,
"companySize": "201-500",
"linkedInUrl": "https://www.linkedin.com/company/acme",
"totalScore": 87,
"icpMatched": true,
"icpId": 7,
"icpName": "Mid-market SaaS",
"rankedLeadScoreId": 55231,
"logoUrl": "<string>",
"funnelStageId": 12,
"funnelStage": "Hot",
"labels": [
{
"id": 5,
"name": "Strategic",
"color": "#73d89c",
"userGenerated": true,
"tag": true
}
],
"latestActivityTimestamp": 1719500000000
},
"engagementLevel": "HIGH",
"paidClicks": 12,
"paidEngagements": 34,
"organicEngagements": 8,
"organicImpressions": 540,
"paidImpressions": 2100,
"totalInteractions": 46,
"lastInteractionTimestamp": 1719500000000
}
]{
"errorType": "EMAIL_ALREADY_EXISTS"
}{
"errorType": "EMAIL_ALREADY_EXISTS",
"category": "<string>",
"currentUsage": 123,
"limit": 123,
"addOnSlug": "<string>",
"planSlug": "<string>",
"addOnPriceMonthly": 123,
"upgradePlanSlug": "<string>",
"upgradePlanName": "<string>",
"upgradePlanPriceMonthly": 123
}{
"errorType": "EMAIL_ALREADY_EXISTS",
"category": "<string>",
"currentUsage": 123,
"limit": 123
}{
"errorType": "EMAIL_ALREADY_EXISTS"
}Authorizations
Your organization's public API key.
Query Parameters
Response
OK
A company in your pipeline, with its current intent / lead score.
Show child attributes
Show child attributes
Engagement level bucket.
Example:
"HIGH"
Paid clicks.
Example:
12
Paid engagements.
Example:
34
Organic engagements.
Example:
8
Organic impressions.
Example:
540
Paid impressions.
Example:
2100
Total interactions counted.
Example:
46
Last interaction time, epoch millis.
Example:
1719500000000
⌘I
Top engaged ICP companies
